/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

import java.beans.*;
import java.io.Serializable;

/**
 *
 * @author bar
 */
public class Phone implements Serializable {

    public static final String PROPERTY_NAME = "name";
    public static final String PROPERTY_NUMBER = "number";

    private String name,number;

    private PropertyChangeSupport propertySupport;

    public Phone() {
        propertySupport = new PropertyChangeSupport(this);
    }

    public String getName(){
        return name;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String value) {
        String oldValue = number;
        number = value;
        propertySupport.firePropertyChange(PROPERTY_NUMBER, oldValue, number);
    }

    public void setName(String value) {
        String oldValue = name;
        name = value;
        propertySupport.firePropertyChange(PROPERTY_NAME, oldValue, name);
    }

    public void addPropertyChangeListener(PropertyChangeListener listener) {
        propertySupport.addPropertyChangeListener(listener);
    }

    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertySupport.removePropertyChangeListener(listener);
    }

}
